#!/bin/bash

#$ -N zamba-predict-csv-combiner

#$ -S /bin/bash

#$ -l h_rt=24:00:00
#$ -l h_vmem=6G

#$ -binding linear:1

#$ -o /work/$USER/zamba/logs/$JOB_NAME-$JOB_ID.log
#$ -j y

#$ -m ae

#$ -r yes

input_dir=$1
output=${2:-"$input_dir/all.csv"}

[[ -d $input_dir ]] || {
  echo "input directory does not exist: $input_dir" >&2
  exit 1
}

[[ -e "$input_dir"/chunk-1.csv ]] || {
  echo "first chunk output does not exist, bailing out" >&2
  exit 1
}

mkdir -p "$(dirname "$output")"

{
  # get header from first chunk
  head -1 "$input_dir"/chunk-1.csv

  # get all other content
  find "$input_dir" -type f -name 'chunk-*.csv' |
  while read -r csv ; do
    # drop the header
    sed '1d' "$csv"
  done |
  sort -t, -k1
} > "$output"
