#!/bin/bash

#$ -N zamba-predict

#$ -S /bin/bash

#$ -l h_rt=24:00:00
#$ -l h_vmem=18G,highmem

#$ -binding linear:1

#$ -o /work/$USER/zamba/logs/$JOB_NAME-$JOB_ID-$TASK_ID.log
#$ -j y

module load zamba/cpu/0.1.6-1

chunk_dir=$1

[[ -d $chunk_dir ]] || {
  echo "input directory does not exist: $chunk_dir" >&2
  exit 1
}

mkdir -p "${OUTPUT_DIR:=/work/$USER/zamba/$JOB_NAME-$JOB_ID/chunks}"

output="$OUTPUT_DIR/chunk-$SGE_TASK_ID.csv"

# -----------------------------------------------------------------------------
# issue with xgboost python interface:
#   https://github.com/dmlc/xgboost/issues/3425
#
# this is the workaround
export LD_PRELOAD=/usr/local/zamba/cpu/0.1.6-1/lib/python3.6/site-packages/xgboost/lib/libxgboost.so

zamba predict \
  "$chunk_dir/chunk-$SGE_TASK_ID" \
  "$output"
